{
  description = "Create nix derivations from a packwiz modpack";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs =
    inputs:
    let
      lib = inputs.nixpkgs.lib;
      eachSystem =
        fn: lib.genAttrs lib.systems.flakeExposed (system: fn (import inputs.nixpkgs { inherit system; }));

      mkPackages =
        pkgs:
        let
          bootstrap = pkgs.fetchurl {
            url = "https://github.com/packwiz/packwiz-installer-bootstrap/releases/download/v0.0.3/packwiz-installer-bootstrap.jar";
            sha256 = "qPuyTcYEJ46X9GiOgtPZGjGLmO/AjV2/y8vKtkQ9EWw=";
          };
        in
        {
          mkModpackServer = pkgs.callPackage ./packages/mkModpackServer.nix { inherit bootstrap; };
          mkModpackClient = pkgs.callPackage ./packages/mkModpackClient.nix { inherit bootstrap; };
        };
    in
    rec {
      packages = eachSystem mkPackages;

      overlay = overlays.default;
      overlays.default = final: mkPackages;
    };
}
